#include <stdio.h>
#include <assert.h>
#include "materiePrime.h"
#include "tisane.h"

int main()
{
	int dim;
	int index;
	MateriaPrima *mp;
	MateriaPrima example;

	TisanaList list = NULL;
	
	mp = leggiMateriePrime("materiePrime.txt", &dim);
	printf("Lette \n");
	printAllMateriePrime(mp, dim);
	sort(mp, dim);
	printf("Ordinate \n");
	printAllMateriePrime(mp, dim);

	example.codice = 1;
	index = findElement(mp, dim, example);
	assert(index >= 0);

	example.codice = 100;
	index = findElement(mp, dim, example);
	assert(index < 0);

	list = leggiProdotti("tisane.txt");
	printAllProdotti(list);

	printf("\n\nPrezzo prima tisana: %.2f\n\n", calcolaPrezzo(list->tisana, mp, dim));

	writeListino(stdout, list, mp, dim);

}