#include "materiePrime.h"

#ifndef TISANE
#define TISANE

typedef struct ComponenteStruct
{
	int materiaPrima;
	int percentuale;
} Componente;

typedef struct TisanaStruct
{
	char nome[31];
	int materiaBase;
	int dimComponenti;
	Componente componenti[10];
} Tisana;


typedef struct TisanaListElementStruct
{
	Tisana tisana;
	struct TisanaListElementStruct *next;
} TisanaListElement;

typedef TisanaListElement *TisanaList;

#endif

TisanaList leggiProdotti(char fileName[]);
int calcolaQuantitaBase(Tisana tisana);
float calcolaPrezzo(Tisana tisana, MateriaPrima mp[], int dim);
void printAllProdotti(TisanaList list);
void writeListino(FILE *f, TisanaList list, MateriaPrima mp[], int dim);
